[ MDVSA-2014:114 ] squid

2014-06-14T00:00:00
ID SECURITYVULNS:DOC:30806
Type securityvulns
Reporter Securityvulns
Modified 2014-06-14T00:00:00

Description

-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1


Mandriva Linux Security Advisory MDVSA-2014:114 http://www.mandriva.com/en/support/security/


Package : squid Date : June 10, 2014 Affected: Business Server 1.0


Problem Description:

Updated squid packages fix security vulnerability:

Due to incorrect state management, Squid before 3.3.12 is vulnerable to a denial of service attack when processing certain HTTPS requests if the SSL-Bump feature is enabled (CVE-2014-0128).


References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0128 http://advisories.mageia.org/MGASA-2014-0168.html


Updated Packages:

Mandriva Business Server 1/X86_64: f1da6705dc9d97b60df8f966356ee42a mbs1/x86_64/squid-3.1.19-5.4.mbs1.x86_64.rpm 5b4471cfa144b750df92fa6eaa6a4e7d mbs1/x86_64/squid-cachemgr-3.1.19-5.4.mbs1.x86_64.rpm f78aff2733e2ca9fce7e436e1cf5b825 mbs1/SRPMS/squid-3.1.19-5.4.mbs1.src.rpm


To upgrade automatically use MandrivaUpdate or urpmi. The verification of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/en/support/security/advisories/

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com


Type Bits/KeyID Date User ID pub 1024D/22458A98 2000-07-10 Mandriva Security Team <security*mandriva.com> -----BEGIN PGP SIGNATURE----- Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFTlsHpmqjQ0CJFipgRAoErAKDRJlXsgJsUc3b9Om0hmMct6oHQnwCfRaK0 hBwY9zeWGwPOI/hldF24JG0= =2a/y -----END PGP SIGNATURE-----